<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>GeoIP.Network</title>
    {% block css %}{% endblock %}
</head>
<body>
    <header>
        <div id="home"><a href="{{ url_for('index') }}" id="title"><h1>GeoIP.Network</h1></a></div>
        <nav>
            <ul>
                <li><a href="{{ url_for('sponsor') }}" id="sponsor" class="navigation">Sponsor</a></li>&nbsp|
                <li><a href="{{ url_for('api') }}" id="api" class="navigation">API</a></li>&nbsp|
                <li><a href="{{ url_for('about') }}" id="about" class="navigation">About</a></li>&nbsp|

                {% if not logout %}
                    <li><a href="{{ url_for('login') }}" id="login" class="navigation">Login</a></li>
                {% else %}
                    <li><a href="{{ url_for('logout') }}" id="logout" class="navigation">Logout</a></li>
                {% endif %}
            </ul>
        </nav>
    </header>
    <page>
        {% block page %}{% endblock %}
        {% block gutter %}{% endblock %}
    </page>
    <footer>
        <section id="sponsors" class="fullwidth-box">
            <h2>Sponsors</h2>
            <a href="https://plaintextnerds.com" target="_blank" rel="noopener">  {# nosemgrep: html.security.missing-noreferrer.missing-noreferrer #}
                <img src="/static/sponsors/plaintextnerds.png" alt="PlainTextNerds Ltd."/>
            </a>

        </section>
    </footer>
    <script>
        var cidr_input = document.getElementById("cidr");
        if (cidr_input) {
            function input_change(event) {
                if (event.keyCode === 13) {
                    window.location.href = "/cidr/" + cidr_input.value;
                }
            }
            cidr_input.addEventListener("keyup",input_change);
            function pressed(event) {
                var cidr_input = document.getElementById("cidr");
                window.location.href = "/cidr/" + cidr_input.value;
            }
        }
    </script>
</body>
</html>